{{page-title @model.campaign.name " | " (capitalize (t "edit"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.campaign.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      {{#if @model.campaign.canEdit}}
        <div>
          <LinkTo @route="manage.campaign.edit" @model={{@model.newsletter.id}} class="btn btn-outline-secondary btn-edit float-end">
            <FaIcon @icon="pencil-alt" class="me-2" />
            {{capitalize (t "edit")}}
          </LinkTo>
        </div>
      {{/if}}
    </:extra>

    <:content>
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
        {{#each @model.answers.buckets as |column|}}
          {{#each column as |answer|}}
            <div class="col">
              <Manage::Card class="card-dashboard-map" @record={{answer}} @onClick={{this.editAnswer}} @onDelete={{this.deleteRecord}}>
                <:content>
                  {{#if (gt answer.contentBlocks.blocks.length 1)}}
                    <Article::FirstParagraph @contentBlocks={{answer.contentBlocks}} />
                  {{/if}}
                </:content>
              </Manage::Card>
            </div>
          {{/each}}
        {{/each}}
      </div>

      <LazyListLoadMore @lazyList={{@model.answers}} class="mb-5" />
    </:content>
  </Manage::Container>
{{/if}}